--------------------- CONVERT82_DOC ----------------
--1_Rename_Old_Tables.sql
--=====================================================================================rename existing tables
DECLARE @ObjName varchar(128),@ObjType char(2),@ObjParent int
DECLARE @ObjParentName  varchar(128)
DECLARE Objects CURSOR FOR
SELECT name,xtype,parent_obj FROM sysobjects
OPEN Objects
FETCH NEXT FROM Objects INTO @ObjName,@ObjType,@ObjParent
WHILE @@FETCH_STATUS = 0
BEGIN
	IF @ObjType='D' or @ObjType='PK'
	BEGIN	
		IF (SELECT name from sysobjects WHERE id=@ObjParent)<>'dtproperties'
		BEGIN	
	   		EXEC ('sp_rename '''+ @ObjName +''', ''Old_'+@ObjName + '''')
		END	
	END
	IF (@ObjType='U' and @ObjName<>'dtproperties')
	BEGIN	
		EXEC ('sp_rename '''+ @ObjName +''', ''Old_'+@ObjName + '''')
	END	
	FETCH NEXT FROM Objects INTO @ObjName,@ObjType,@ObjParent
END
CLOSE Objects
DEALLOCATE Objects

GO

------- HRDOC_TABLES82.sql ------------------------------------
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[UploadResume]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[UploadResume]
GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_TRADE_TD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_TRADE] DROP CONSTRAINT [DF_Term_HRDOC_TRADE_TD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_TRADE_TD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_TRADE] DROP CONSTRAINT [DF_Term_HRDOC_TRADE_TD_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_SALARY_HISTORY_DS_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_SALARY_HISTORY] DROP CONSTRAINT [DF_Term_HRDOC_SALARY_HISTORY_DS_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_SALARY_HISTORY_DS_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_SALARY_HISTORY] DROP CONSTRAINT [DF_Term_HRDOC_SALARY_HISTORY_DS_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_PERFORM_HISTORY] DROP CONSTRAINT [DF_Term_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_PERFORM_HISTORY_DH_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_PERFORM_HISTORY] DROP CONSTRAINT [DF_Term_HRDOC_PERFORM_HISTORY_DH_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_OHS_WRITTEN_OFFER] DROP CONSTRAINT [DF_Term_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_TERM_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_OHS_WRITTEN_OFFER] DROP CONSTRAINT [DF_TERM_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_JOB_HISTORY] DROP CONSTRAINT [DF_Term_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_JOB_HISTORY_DJ_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_JOB_HISTORY] DROP CONSTRAINT [DF_Term_HRDOC_JOB_HISTORY_DJ_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREMP_OTHER] DROP CONSTRAINT [DF_Term_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREMP_OTHER_ER_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREMP_OTHER] DROP CONSTRAINT [DF_Term_HRDOC_HREMP_OTHER_ER_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREDU_EU_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREDU] DROP CONSTRAINT [DF_Term_HRDOC_HREDU_EU_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREDU_EU_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREDU] DROP CONSTRAINT [DF_Term_HRDOC_HREDU_EU_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HRDOLENTACTDTL] DROP CONSTRAINT [DF_Term_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HRDOLENTACTDTL_DA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HRDOLENTACTDTL] DROP CONSTRAINT [DF_Term_HRDOC_HRDOLENTACTDTL_DA_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7] DROP CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7] DROP CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_2] DROP CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY] DROP CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY] DROP CONSTRAINT [DF_Term_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EQUIPMENT_EA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EQUIPMENT] DROP CONSTRAINT [DF_Term_HRDOC_EQUIPMENT_EA_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EQUIPMENT_EA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EQUIPMENT] DROP CONSTRAINT [DF_Term_HRDOC_EQUIPMENT_EA_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP_FLAGS] DROP CONSTRAINT [DF_Term_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMPFLAGS_EF_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP_FLAGS] DROP CONSTRAINT [DF_Term_HRDOC_EMPFLAGS_EF_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMP_RE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP] DROP CONSTRAINT [DF_Term_HRDOC_EMP_RE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMP_RE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP] DROP CONSTRAINT [DF_Term_HRDOC_EMP_RE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM_RETEST] DROP CONSTRAINT [DF_Term_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_RETEST_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM_RETEST] DROP CONSTRAINT [DF_Term_HRDOC_EDSEM_RETEST_ES_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM] DROP CONSTRAINT [DF_Term_HRDOC_EDSEM_ES_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM] DROP CONSTRAINT [DF_Term_HRDOC_EDSEM_ES_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_DOLENT_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_DOLENT] DROP CONSTRAINT [DF_Term_HRDOC_DOLENT_DE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_DOLENT_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_DOLENT] DROP CONSTRAINT [DF_Term_HRDOC_DOLENT_DE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COUNSEL_DC_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COUNSEL] DROP CONSTRAINT [DF_Term_HRDOC_COUNSEL_DC_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COUNSEL_DC_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COUNSEL] DROP CONSTRAINT [DF_Term_HRDOC_COUNSEL_DC_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COMMENTS_DO_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COMMENTS] DROP CONSTRAINT [DF_Term_HRDOC_COMMENTS_DO_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COMMENTS_DO_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COMMENTS] DROP CONSTRAINT [DF_Term_HRDOC_COMMENTS_DO_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL] DROP CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL] DROP CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE] DROP CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_AD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE] DROP CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_AD_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_TRADE_TD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_TRADE] DROP CONSTRAINT [DF_HRDOC_TRADE_TD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_TRADE_TD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_TRADE] DROP CONSTRAINT [DF_HRDOC_TRADE_TD_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_DS_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_SALARY_HISTORY] DROP CONSTRAINT [DF_Table_1_DS_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_DS_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_SALARY_HISTORY] DROP CONSTRAINT [DF_Table_1_DS_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_PERFORM_HISTORY] DROP CONSTRAINT [DF_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_PERFORM_HISTORY_DH_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_PERFORM_HISTORY] DROP CONSTRAINT [DF_HRDOC_PERFORM_HISTORY_DH_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_OHS_WRITTEN_OFFER] DROP CONSTRAINT [DF_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_OHS_WRITTEN_OFFER] DROP CONSTRAINT [DF_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOBSKL_DS_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOBSKL] DROP CONSTRAINT [DF_HRDOC_JOBSKL_DS_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOBSKL_DS_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOBSKL] DROP CONSTRAINT [DF_HRDOC_JOBSKL_DS_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB_HISTORY] DROP CONSTRAINT [DF_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_HISTORY_DJ_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB_HISTORY] DROP CONSTRAINT [DF_HRDOC_JOB_HISTORY_DJ_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_DB_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB] DROP CONSTRAINT [DF_HRDOC_JOB_DB_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_DB_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB] DROP CONSTRAINT [DF_HRDOC_JOB_DB_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRSTATUS_SC_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRSTATUS] DROP CONSTRAINT [DF_HRDOC_HRSTATUS_SC_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRSTATUS_SC_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRSTATUS] DROP CONSTRAINT [DF_HRDOC_HRSTATUS_SC_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREMP_OTHER] DROP CONSTRAINT [DF_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREMP_OTHER_ER_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREMP_OTHER] DROP CONSTRAINT [DF_HRDOC_HREMP_OTHER_ER_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREDU_EU_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREDU] DROP CONSTRAINT [DF_HRDOC_HREDU_EU_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREDU_EU_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREDU] DROP CONSTRAINT [DF_HRDOC_HREDU_EU_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENTACTDTL] DROP CONSTRAINT [DF_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENTACTDTL_DA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENTACTDTL] DROP CONSTRAINT [DF_HRDOC_HRDOLENTACTDTL_DA_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENT_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENT] DROP CONSTRAINT [DF_HRDOC_HRDOLENT_DE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENT_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENT] DROP CONSTRAINT [DF_HRDOC_HRDOLENT_DE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_TRADE_TD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_TRADE] DROP CONSTRAINT [DF_HRDOC_HRA_TRADE_TD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_REFRENCES_ED_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_REFRENCES] DROP CONSTRAINT [DF_HRDOC_HRA_REFRENCES_ED_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_INTERVIEW_IE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_INTERVIEW] DROP CONSTRAINT [DF_HRDOC_HRA_INTERVIEW_IE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EMP_RE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EMP] DROP CONSTRAINT [DF_HRDOC_HRA_EMP_RE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EMP_RE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EMP] DROP CONSTRAINT [DF_HRDOC_HRA_EMP_RE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EDU_EU_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EDU] DROP CONSTRAINT [DF_HRDOC_HRA_EDU_EU_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EDSEM_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EDSEM] DROP CONSTRAINT [DF_HRDOC_HRA_EDSEM_ES_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7] DROP CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7] DROP CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY_2] DROP CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY] DROP CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY] DROP CONSTRAINT [DF_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_EA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EQUIPMENT] DROP CONSTRAINT [DF_Table_1_EA_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_EA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EQUIPMENT] DROP CONSTRAINT [DF_Table_1_EA_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP_FLAGS] DROP CONSTRAINT [DF_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMPFLAGS_EF_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP_FLAGS] DROP CONSTRAINT [DF_HRDOC_EMPFLAGS_EF_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMP_RE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP] DROP CONSTRAINT [DF_HRDOC_EMP_RE_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMP_RE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP] DROP CONSTRAINT [DF_HRDOC_EMP_RE_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_SUBMIT_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_SUBMIT] DROP CONSTRAINT [DF_HRDOC_EDSEM_SUBMIT_ES_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_SUBMIT_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_SUBMIT] DROP CONSTRAINT [DF_HRDOC_EDSEM_SUBMIT_ES_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_RETEST] DROP CONSTRAINT [DF_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_RETEST_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_RETEST] DROP CONSTRAINT [DF_HRDOC_EDSEM_RETEST_ES_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM] DROP CONSTRAINT [DF_HRDOC_EDSEM_ES_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM] DROP CONSTRAINT [DF_HRDOC_EDSEM_ES_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COUNSEL_DC_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COUNSEL] DROP CONSTRAINT [DF_HRDOC_COUNSEL_DC_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COUNSEL_DC_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COUNSEL] DROP CONSTRAINT [DF_HRDOC_COUNSEL_DC_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COMMENTS_DO_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COMMENTS] DROP CONSTRAINT [DF_HRDOC_COMMENTS_DO_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COMMENTS_DO_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COMMENTS] DROP CONSTRAINT [DF_HRDOC_COMMENTS_DO_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_SD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL] DROP CONSTRAINT [DF_Table_1_SD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_SD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL] DROP CONSTRAINT [DF_Table_1_SD_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE] DROP CONSTRAINT [DF_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]
END

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_ATTENDANCE_AD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE] DROP CONSTRAINT [DF_HRDOC_ATTENDANCE_AD_COMPNO]
END

GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_TRADE]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_TRADE]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_SALARY_HISTORY]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_SALARY_HISTORY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_PERFORM_HISTORY]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_PERFORM_HISTORY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_OHS_WRITTEN_OFFER]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_OHS_WRITTEN_OFFER]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_JOB_HISTORY]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_JOB_HISTORY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HREMP_OTHER]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_HREMP_OTHER]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HREDU]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_HREDU]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HRDOLENTACTDTL]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_HRDOLENTACTDTL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HEALTH_SAFETY_2]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_2]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HEALTH_SAFETY]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EQUIPMENT]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_EQUIPMENT]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EMP_FLAGS]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_EMP_FLAGS]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EMP]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_EMP]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EDSEM_RETEST]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_EDSEM_RETEST]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EDSEM]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_EDSEM]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_DOLENT]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_DOLENT]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_COUNSEL]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_COUNSEL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_COMMENTS]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_COMMENTS]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_ATTENDANCE]') AND type in (N'U'))
DROP TABLE [dbo].[Term_HRDOC_ATTENDANCE]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_TRADE]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_TRADE]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_SALARY_HISTORY]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_SALARY_HISTORY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_PERFORM_HISTORY]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_PERFORM_HISTORY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_OHS_WRITTEN_OFFER]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_OHS_WRITTEN_OFFER]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_JOBSKL]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_JOBSKL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_JOB_HISTORY]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_JOB_HISTORY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_JOB]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_JOB]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRSTATUS]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRSTATUS]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HREMP_OTHER]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HREMP_OTHER]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HREDU]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HREDU]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRDOLENTACTDTL]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRDOLENTACTDTL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRDOLENT]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRDOLENT]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_TRADE]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRA_TRADE]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_REFRENCES]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRA_REFRENCES]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_INTERVIEW]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRA_INTERVIEW]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_EMP]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRA_EMP]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_EDU]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRA_EDU]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_EDSEM]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HRA_EDSEM]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HEALTH_SAFETY_2]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HEALTH_SAFETY_2]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HEALTH_SAFETY]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_HEALTH_SAFETY]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EQUIPMENT]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_EQUIPMENT]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EMP_FLAGS]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_EMP_FLAGS]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EMP]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_EMP]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EDSEM_SUBMIT]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_EDSEM_SUBMIT]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EDSEM_RETEST]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_EDSEM_RETEST]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EDSEM]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_EDSEM]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_COUNSEL]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_COUNSEL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_COMMENTS]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_COMMENTS]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_ATTENDANCE]') AND type in (N'U'))
DROP TABLE [dbo].[HRDOC_ATTENDANCE]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_ATTENDANCE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_ATTENDANCE](
	[AD_ID] [int] IDENTITY(1,1) NOT NULL,
	[AD_COMPNO] [varchar](3) NULL,
	[AD_EMPNBR] [int] NULL,
	[AD_REASON] [varchar](10) NULL,
	[AD_DOA] [datetime] NULL,
	[AD_DOC] [image] NULL,
	[AD_FILEEXT] [varchar](10) NULL,
	[AD_TYPE] [varchar](20) NULL,
	[AD_LDATE] [datetime] NULL,
	[AD_LTIME] [varchar](8) NULL,
	[AD_LUSER] [varchar](25) NULL,
	[AD_DOCKEY] [int] NULL,
	[AD_DOCTYPE_TABL] [varchar](4) NULL,
	[AD_DOCTYPE] [varchar](4) NULL,
	[AD_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_ATTENDANCE] PRIMARY KEY CLUSTERED 
(
	[AD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL](
	[SD_ID] [int] IDENTITY(1,1) NOT NULL,
	[SD_COMPNO] [varchar](3) NULL,
	[SD_EMPNBR] [int] NULL,
	[SD_INCD_NO] [int] NOT NULL,
	[SD_VIOL_START_DATE] [datetime] NULL,
	[SD_VIOL_END_DATE] [datetime] NULL,
	[SD_DOC] [image] NULL,
	[SD_FILEEXT] [varchar](10) NULL,
	[SD_TYPE] [varchar](20) NULL,
	[SD_LDATE] [datetime] NULL,
	[SD_LTIME] [varchar](8) NULL,
	[SD_LUSER] [varchar](25) NULL,
	[SD_DOCKEY] [int] NULL,
	[SD_DOCTYPE_TABL] [varchar](4) NULL,
	[SD_DOCTYPE] [varchar](4) NULL,
	[SD_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_ATTENDANCE_SUPPORT_DTL] PRIMARY KEY CLUSTERED 
(
	[SD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_COMMENTS]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_COMMENTS](
	[DO_ID] [int] IDENTITY(1,1) NOT NULL,
	[DO_COMPNO] [varchar](3) NULL,
	[DO_EMPNBR] [int] NULL,
	[DO_COTYPE] [varchar](6) NULL,
	[DO_EDATE] [datetime] NULL,
	[DO_DOC] [image] NULL,
	[DO_FILEEXT] [varchar](10) NULL,
	[DO_TYPE] [varchar](20) NULL,
	[DO_LDATE] [datetime] NULL,
	[DO_LTIME] [varchar](8) NULL,
	[DO_LUSER] [varchar](25) NULL,
	[DO_DOCKEY] [int] NULL,
	[DO_DOCTYPE_TABL] [varchar](4) NULL,
	[DO_DOCTYPE] [varchar](4) NULL,
	[DO_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_COMMENTS] PRIMARY KEY CLUSTERED 
(
	[DO_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_COUNSEL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_COUNSEL](
	[DC_ID] [int] IDENTITY(1,1) NOT NULL,
	[DC_COMPNO] [varchar](3) NULL,
	[DC_EMPNBR] [int] NULL,
	[DC_CLTYPE] [varchar](4) NULL,
	[DC_COUDATE] [datetime] NULL,
	[DC_DOC] [image] NULL,
	[DC_FILEEXT] [varchar](10) NULL,
	[DC_TYPE] [varchar](20) NULL,
	[DC_LDATE] [datetime] NULL,
	[DC_LTIME] [varchar](8) NULL,
	[DC_LUSER] [varchar](25) NULL,
	[DC_DOCKEY] [int] NULL,
	[DC_DOCTYPE_TABL] [varchar](4) NULL,
	[DC_DOCTYPE] [varchar](4) NULL,
	[DC_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_COUNSEL] PRIMARY KEY CLUSTERED 
(
	[DC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EDSEM]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_EDSEM](
	[ES_ID] [int] IDENTITY(1,1) NOT NULL,
	[ES_COMPNO] [varchar](3) NULL,
	[ES_EMPNBR] [int] NULL,
	[ES_DOC] [image] NULL,
	[ES_FILEEXT] [varchar](10) NULL,
	[ES_TYPE] [varchar](20) NULL,
	[ES_LDATE] [datetime] NULL,
	[ES_LTIME] [varchar](8) NULL,
	[ES_LUSER] [varchar](25) NULL,
	[ES_DOCKEY] [int] NULL,
	[ES_DOCTYPE_TABL] [varchar](4) NULL,
	[ES_DOCTYPE] [varchar](4) NULL,
	[ES_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_EDSEM] PRIMARY KEY CLUSTERED 
(
	[ES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EDSEM_RETEST]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_EDSEM_RETEST](
	[ES_ID] [int] IDENTITY(1,1) NOT NULL,
	[ES_COMPNO] [varchar](3) NULL,
	[ES_EMPNBR] [int] NULL,
	[ES_DOC] [image] NULL,
	[ES_FILEEXT] [varchar](10) NULL,
	[ES_TYPE] [varchar](20) NULL,
	[ES_LDATE] [datetime] NULL,
	[ES_LTIME] [varchar](8) NULL,
	[ES_LUSER] [varchar](25) NULL,
	[ES_DOCKEY] [int] NULL,
	[ES_DOCTYPE_TABL] [varchar](4) NULL,
	[ES_DOCTYPE] [varchar](4) NULL,
	[ES_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_EDSEM_RETEST] PRIMARY KEY CLUSTERED 
(
	[ES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EDSEM_SUBMIT]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_EDSEM_SUBMIT](
	[ES_ID] [int] IDENTITY(1,1) NOT NULL,
	[ES_COMPNO] [varchar](3) NULL,
	[ES_EMPNBR] [int] NULL,
	[ES_DOC] [image] NULL,
	[ES_FILEEXT] [varchar](10) NULL,
	[ES_TYPE] [varchar](20) NULL,
	[ES_LDATE] [datetime] NULL,
	[ES_LTIME] [varchar](8) NULL,
	[ES_LUSER] [varchar](25) NULL,
	[ES_DOCKEY] [int] NULL,
	[ES_DOCTYPE_TABL] [varchar](4) NULL,
	[ES_DOCTYPE] [varchar](4) NULL,
	[ES_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_EDSEM_SUBMIT] PRIMARY KEY CLUSTERED 
(
	[ES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EMP]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_EMP](
	[RE_ID] [int] IDENTITY(1,1) NOT NULL,
	[RE_COMPNO] [varchar](3) NULL,
	[RE_EMPNBR] [int] NULL,
	[RE_DOC] [image] NULL,
	[RE_FILEEXT] [varchar](10) NULL,
	[RE_TYPE] [varchar](20) NULL,
	[RE_LDATE] [datetime] NULL,
	[RE_LTIME] [varchar](8) NULL,
	[RE_LUSER] [varchar](25) NULL,
	[RE_DOCTYPE_TABL] [varchar](4) NULL,
	[RE_DOCTYPE] [varchar](4) NULL,
	[RE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_EMP] PRIMARY KEY CLUSTERED 
(
	[RE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EMP_FLAGS]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_EMP_FLAGS](
	[EF_ID] [int] IDENTITY(1,1) NOT NULL,
	[EF_COMPNO] [varchar](3) NULL,
	[EF_EMPNBR] [int] NULL,
	[EF_FLAG] [int] NULL,
	[EF_FLAGDTE] [datetime] NULL,
	[EF_DOC] [image] NULL,
	[EF_FILEEXT] [varchar](10) NULL,
	[EF_TYPE] [varchar](20) NULL,
	[EF_LDATE] [datetime] NULL,
	[EF_LTIME] [varchar](8) NULL,
	[EF_LUSER] [varchar](25) NULL,
	[EF_DOCKEY] [int] NULL,
	[EF_DOCTYPE_TABL] [varchar](4) NULL,
	[EF_DOCTYPE] [varchar](4) NULL,
	[EF_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_EMPFLAGS] PRIMARY KEY CLUSTERED 
(
	[EF_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_EQUIPMENT]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_EQUIPMENT](
	[EA_ID] [int] IDENTITY(1,1) NOT NULL,
	[EA_COMPNO] [varchar](3) NULL,
	[EA_EMPNBR] [int] NULL,
	[EA_JOB] [varchar](25) NULL,
	[EA_ASSET_CODE] [varchar](15) NULL,
	[EA_ASSIGN_DATE] [datetime] NULL,
	[EA_DOC] [image] NULL,
	[EA_FILEEXT] [varchar](10) NULL,
	[EA_TYPE] [varchar](20) NULL,
	[EA_LDATE] [datetime] NULL,
	[EA_LTIME] [varchar](8) NULL,
	[EA_LUSER] [varchar](25) NULL,
	[EA_DOCKEY] [int] NULL,
	[EA_DOCTYPE_TABL] [varchar](4) NULL,
	[EA_DOCTYPE] [varchar](4) NULL,
	[EA_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_EQUIPMENT] PRIMARY KEY CLUSTERED 
(
	[EA_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HEALTH_SAFETY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HEALTH_SAFETY](
	[DE_ID] [int] IDENTITY(1,1) NOT NULL,
	[DE_COMPNO] [varchar](3) NULL,
	[DE_EMPNBR] [int] NULL,
	[DE_CASE] [int] NULL,
	[DE_OCCDATE] [datetime] NULL,
	[DE_DOCNO] [int] NULL,
	[DE_DOCDESC] [varchar](30) NULL,
	[DE_DOC] [varchar](1) NULL,
	[DE_FILEEXT] [varchar](10) NULL,
	[DE_TYPE] [varchar](20) NULL,
	[DE_LDATE] [datetime] NULL,
	[DE_LTIME] [varchar](8) NULL,
	[DE_LUSER] [varchar](25) NULL,
	[DE_DOCTYPE_TABL] [varchar](4) NULL,
	[DE_DOCTYPE] [varchar](4) NULL,
	[DE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_OCC_HEALTH_SAFETY] PRIMARY KEY CLUSTERED 
(
	[DE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HEALTH_SAFETY_2]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HEALTH_SAFETY_2](
	[DE_ID] [int] IDENTITY(1,1) NOT NULL,
	[DE_EMPNBR] [int] NULL,
	[DE_CASE] [int] NULL,
	[DE_DOCNO] [int] NULL,
	[DE_DOC] [image] NULL,
	[DE_FILEEXT] [varchar](10) NULL,
	[DE_TYPE] [varchar](20) NULL,
	[DE_LDATE] [datetime] NULL,
	[DE_LTIME] [varchar](8) NULL,
	[DE_LUSER] [varchar](25) NULL,
	[DE_DOCTYPE_TABL] [varchar](4) NULL,
	[DE_DOCTYPE] [varchar](4) NULL,
	[DE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HEALTH_SAFETY_2] PRIMARY KEY CLUSTERED 
(
	[DE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7](
	[W7_ID] [int] IDENTITY(1,1) NOT NULL,
	[W7_COMPNO] [varchar](3) NULL,
	[W7_EMPNBR] [int] NULL,
	[W7_CASE] [int] NULL,
	[W7_OCCDATE] [datetime] NULL,
	[W7_DOCKEY] [int] NULL,
	[W7_DOCDESC] [varchar](30) NULL,
	[W7_DOC] [image] NULL,
	[W7_FILEEXT] [varchar](10) NULL,
	[W7_TYPE] [varchar](20) NULL,
	[W7_LDATE] [datetime] NULL,
	[W7_LTIME] [varchar](8) NULL,
	[W7_LUSER] [varchar](25) NULL,
	[W7_DOCTYPE_TABL] [varchar](4) NULL,
	[W7_DOCTYPE] [varchar](4) NULL,
	[W7_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HEALTH_SAFETY_FORM7] PRIMARY KEY CLUSTERED 
(
	[W7_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_EDSEM]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRA_EDSEM](
	[ES_ID] [int] IDENTITY(1,1) NOT NULL,
	[ES_COMPNO] [varchar](3) NULL,
	[ES_APPNBR] [int] NULL,
	[ES_EMPNBR] [int] NULL,
	[ES_DOC] [image] NULL,
	[ES_FILEEXT] [varchar](10) NULL,
	[ES_TYPE] [varchar](20) NULL,
	[ES_LDATE] [datetime] NULL,
	[ES_LTIME] [varchar](8) NULL,
	[ES_LUSER] [varchar](25) NULL,
	[ES_DOCTYPE_TABL] [varchar](4) NULL,
	[ES_DOCTYPE] [varchar](4) NULL,
	[ES_USRDESC] [varchar](30) NULL,
	[ES_DOCKEY] [int] NULL,
 CONSTRAINT [PK_HRDOC_HRA_EDSEM] PRIMARY KEY CLUSTERED 
(
	[ES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_EDU]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRA_EDU](
	[EU_ID] [int] IDENTITY(1,1) NOT NULL,
	[EU_COMPNO] [varchar](3) NULL,
	[EU_APPNBR] [int] NULL,
	[EU_EMPNBR] [int] NULL,
	[EU_DOC] [image] NULL,
	[EU_FILEEXT] [varchar](10) NULL,
	[EU_TYPE] [varchar](20) NULL,
	[EU_LDATE] [datetime] NULL,
	[EU_LTIME] [varchar](8) NULL,
	[EU_LUSER] [varchar](25) NULL,
	[EU_DOCTYPE_TABL] [varchar](4) NULL,
	[EU_DOCTYPE] [varchar](4) NULL,
	[EU_USRDESC] [varchar](30) NULL,
	[EU_DOCKEY] [int] NULL,
 CONSTRAINT [PK_HRDOC_HRA_EDU] PRIMARY KEY CLUSTERED 
(
	[EU_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_EMP]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRA_EMP](
	[RE_ID] [int] IDENTITY(1,1) NOT NULL,
	[RE_COMPNO] [varchar](3) NULL,
	[RE_APPNBR] [int] NULL,
	[RE_EMPNBR] [int] NULL,
	[RE_DOC] [image] NULL,
	[RE_FILEEXT] [varchar](10) NULL,
	[RE_TYPE] [varchar](20) NULL,
	[RE_LDATE] [datetime] NULL,
	[RE_LTIME] [varchar](8) NULL,
	[RE_LUSER] [varchar](25) NULL,
	[RE_DOCTYPE_TABL] [varchar](4) NULL,
	[RE_DOCTYPE] [varchar](4) NULL,
	[RE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HRA_EMP] PRIMARY KEY CLUSTERED 
(
	[RE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_INTERVIEW]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRA_INTERVIEW](
	[IE_ID] [int] IDENTITY(1,1) NOT NULL,
	[IE_COMPNO] [varchar](3) NULL,
	[IE_APPNBR] [int] NULL,
	[IE_EMPNBR] [int] NULL,
	[IE_DOC] [image] NULL,
	[IE_FILEEXT] [varchar](10) NULL,
	[IE_TYPE] [varchar](20) NULL,
	[IE_LDATE] [datetime] NULL,
	[IE_LTIME] [varchar](8) NULL,
	[IE_LUSER] [varchar](25) NULL,
	[IE_DOCTYPE_TABL] [varchar](4) NULL,
	[IE_DOCTYPE] [varchar](4) NULL,
	[IE_USRDESC] [varchar](30) NULL,
	[IE_DOCKEY] [int] NULL,
 CONSTRAINT [PK_HRDOC_HRA_INTERVIEW] PRIMARY KEY CLUSTERED 
(
	[IE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_REFRENCES]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRA_REFRENCES](
	[ED_ID] [int] IDENTITY(1,1) NOT NULL,
	[ED_COMPNO] [varchar](3) NULL,
	[ED_APPNBR] [int] NULL,
	[ED_EMPNBR] [int] NULL,
	[ED_DOC] [image] NULL,
	[ED_FILEEXT] [varchar](10) NULL,
	[ED_TYPE] [varchar](20) NULL,
	[ED_LDATE] [datetime] NULL,
	[ED_LTIME] [varchar](8) NULL,
	[ED_LUSER] [varchar](25) NULL,
	[ED_DOCTYPE_TABL] [varchar](4) NULL,
	[ED_DOCTYPE] [varchar](4) NULL,
	[ED_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HRA_REFRENCES] PRIMARY KEY CLUSTERED 
(
	[ED_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRA_TRADE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRA_TRADE](
	[TD_ID] [int] IDENTITY(1,1) NOT NULL,
	[TD_COMPNO] [varchar](3) NULL,
	[TD_APPNBR] [int] NULL,
	[TD_EMPNBR] [int] NULL,
	[TD_DOC] [image] NULL,
	[TD_FILEEXT] [varchar](10) NULL,
	[TD_TYPE] [varchar](20) NULL,
	[TD_LDATE] [datetime] NULL,
	[TD_LTIME] [varchar](8) NULL,
	[TD_LUSER] [varchar](25) NULL,
	[TD_DOCTYPE_TABL] [varchar](4) NULL,
	[TD_DOCTYPE] [varchar](4) NULL,
	[TD_USRDESC] [varchar](30) NULL,
	[TD_DOCKEY] [int] NULL,
	[TD_CODE] [varchar](4) NULL,
 CONSTRAINT [PK_HRDOC_HRA_TRADE] PRIMARY KEY CLUSTERED 
(
	[TD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRDOLENT]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRDOLENT](
	[DE_ID] [int] IDENTITY(1,1) NOT NULL,
	[DE_COMPNO] [varchar](3) NULL,
	[DE_EMPNBR] [int] NULL,
	[DE_DOC] [image] NULL,
	[DE_FILEEXT] [varchar](10) NULL,
	[DE_TYPE] [varchar](20) NULL,
	[DE_LDATE] [datetime] NULL,
	[DE_LTIME] [varchar](8) NULL,
	[DE_LUSER] [varchar](25) NULL,
	[DE_DOCKEY] [int] NULL,
	[DE_DOCTYPE_TABL] [varchar](4) NULL,
	[DE_DOCTYPE] [varchar](4) NULL,
	[DE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HRDOLENT] PRIMARY KEY CLUSTERED 
(
	[DE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRDOLENTACTDTL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRDOLENTACTDTL](
	[DA_ID] [int] IDENTITY(1,1) NOT NULL,
	[DA_COMPNO] [varchar](3) NULL,
	[DA_EMPNBR] [int] NULL,
	[DA_DOC] [image] NULL,
	[DA_FILEEXT] [varchar](10) NULL,
	[DA_TYPE] [varchar](20) NULL,
	[DA_LDATE] [datetime] NULL,
	[DA_LTIME] [varchar](8) NULL,
	[DA_LUSER] [varchar](25) NULL,
	[DA_DOCKEY] [int] NULL,
	[DA_DOCTYPE_TABL] [varchar](4) NULL,
	[DA_DOCTYPE] [varchar](4) NULL,
	[DA_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HRDOLENTACTDTL] PRIMARY KEY CLUSTERED 
(
	[DA_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HREDU]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HREDU](
	[EU_ID] [int] IDENTITY(1,1) NOT NULL,
	[EU_COMPNO] [varchar](3) NULL,
	[EU_EMPNBR] [int] NULL,
	[EU_DOC] [image] NULL,
	[EU_FILEEXT] [varchar](10) NULL,
	[EU_TYPE] [varchar](20) NULL,
	[EU_LDATE] [datetime] NULL,
	[EU_LTIME] [varchar](8) NULL,
	[EU_LUSER] [varchar](25) NULL,
	[EU_DOCKEY] [int] NULL,
	[EU_DOCTYPE_TABL] [varchar](4) NULL,
	[EU_DOCTYPE] [varchar](4) NULL,
	[EU_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HREDU] PRIMARY KEY CLUSTERED 
(
	[EU_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HREMP_OTHER]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HREMP_OTHER](
	[ER_ID] [int] IDENTITY(1,1) NOT NULL,
	[ER_COMPNO] [varchar](3) NULL,
	[ER_EMPNBR] [int] NULL,
	[ER_DOC] [image] NULL,
	[ER_FILEEXT] [varchar](10) NULL,
	[ER_TYPE] [varchar](20) NULL,
	[ER_LDATE] [datetime] NULL,
	[ER_LTIME] [varchar](8) NULL,
	[ER_LUSER] [varchar](25) NULL,
	[ER_DOCTYPE_TABL] [varchar](4) NULL,
	[ER_DOCTYPE] [varchar](4) NULL,
	[ER_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_HREMP_OTHER] PRIMARY KEY CLUSTERED 
(
	[ER_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_HRSTATUS]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_HRSTATUS](
	[SC_ID] [int] IDENTITY(1,1) NOT NULL,
	[SC_COMPNO] [varchar](3) NULL,
	[SC_EMPNBR] [int] NULL,
	[SC_DOC] [image] NULL,
	[SC_FILEEXT] [varchar](10) NULL,
	[SC_TYPE] [varchar](20) NULL,
	[SC_STYPE] [varchar](6) NULL,
	[SC_FDATE] [datetime] NULL,
	[SC_LDATE] [datetime] NULL,
	[SC_LTIME] [varchar](8) NULL,
	[SC_LUSER] [varchar](25) NULL,
	[SC_DOCTYPE_TABL] [varchar](4) NULL,
	[SC_DOCTYPE] [varchar](4) NULL,
	[SC_USRDESC] [varchar](30) NULL,
	[SC_DOCKEY] [int] NULL,
 CONSTRAINT [PK_HRDOC_HRSTATUS] PRIMARY KEY CLUSTERED 
(
	[SC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_JOB]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_JOB](
	[DB_ID] [int] IDENTITY(1,1) NOT NULL,
	[DB_COMPNO] [varchar](3) NULL,
	[DB_JOB] [varchar](25) NULL,
	[DB_DOC] [image] NULL,
	[DB_FILEEXT] [varchar](10) NULL,
	[DB_TYPE] [varchar](20) NULL,
	[DB_LDATE] [datetime] NULL,
	[DB_LTIME] [varchar](8) NULL,
	[DB_LUSER] [varchar](25) NULL,
	[DB_DOCTYPE_TABL] [varchar](4) NULL,
	[DB_DOCTYPE] [varchar](4) NULL,
	[DB_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_JOB] PRIMARY KEY CLUSTERED 
(
	[DB_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_JOB_HISTORY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_JOB_HISTORY](
	[DJ_ID] [int] IDENTITY(1,1) NOT NULL,
	[DJ_COMPNO] [varchar](3) NULL,
	[DJ_EMPNBR] [int] NULL,
	[DJ_SDATE] [datetime] NULL,
	[DJ_JOB] [varchar](25) NULL,
	[DJ_DOC] [image] NULL,
	[DJ_FILEEXT] [varchar](10) NULL,
	[DJ_TYPE] [varchar](20) NULL,
	[DJ_LDATE] [datetime] NULL,
	[DJ_LTIME] [varchar](8) NULL,
	[DJ_LUSER] [varchar](25) NULL,
	[DJ_DOCTYPE_TABL] [varchar](4) NULL,
	[DJ_DOCTYPE] [varchar](4) NULL,
	[DJ_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_JOB_HISTORY] PRIMARY KEY CLUSTERED 
(
	[DJ_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_JOBSKL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_JOBSKL](
	[DS_ID] [int] IDENTITY(1,1) NOT NULL,
	[DS_COMPNO] [varchar](3) NULL,
	[DS_JOB] [varchar](25) NULL,
	[DS_SKILL] [varchar](20) NULL,
	[DS_DOC] [image] NULL,
	[DS_FILEEXT] [varchar](10) NULL,
	[DS_TYPE] [varchar](20) NULL,
	[DS_LDATE] [datetime] NULL,
	[DS_LTIME] [varchar](8) NULL,
	[DS_LUSER] [varchar](25) NULL,
	[DS_DOCTYPE_TABL] [varchar](4) NULL,
	[DS_DOCTYPE] [varchar](4) NULL,
	[DS_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_JOBSKL] PRIMARY KEY CLUSTERED 
(
	[DS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_OHS_WRITTEN_OFFER]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_OHS_WRITTEN_OFFER](
	[F7_ID] [int] IDENTITY(1,1) NOT NULL,
	[F7_COMPNO] [varchar](3) NULL,
	[F7_EMPNBR] [int] NULL,
	[F7_CASE] [int] NULL,
	[F7_OCCDATE] [datetime] NULL,
	[F7_DOCKEY] [int] NULL,
	[F7_DOCDESC] [varchar](30) NULL,
	[F7_DOC] [image] NULL,
	[F7_FILEEXT] [varchar](10) NULL,
	[F7_TYPE] [varchar](20) NULL,
	[F7_LDATE] [datetime] NULL,
	[F7_LTIME] [varchar](8) NULL,
	[F7_LUSER] [varchar](25) NULL,
	[F7_DOCTYPE_TABL] [varchar](4) NULL,
	[F7_DOCTYPE] [varchar](4) NULL,
	[F7_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_OHS_RTN_WORK_DECLINE] PRIMARY KEY CLUSTERED 
(
	[F7_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_PERFORM_HISTORY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_PERFORM_HISTORY](
	[DH_ID] [int] IDENTITY(1,1) NOT NULL,
	[DH_COMPNO] [varchar](3) NULL,
	[DH_EMPNBR] [int] NULL,
	[DH_JOB] [varchar](25) NULL,
	[DH_PREVDATE] [datetime] NULL,
	[DH_DOC] [image] NULL,
	[DH_FILEEXT] [varchar](10) NULL,
	[DH_TYPE] [varchar](20) NULL,
	[DH_LDATE] [datetime] NULL,
	[DH_LTIME] [varchar](8) NULL,
	[DH_LUSER] [varchar](25) NULL,
	[DH_DOCKEY] [int] NULL,
	[DH_DOCTYPE_TABL] [varchar](4) NULL,
	[DH_DOCTYPE] [varchar](4) NULL,
	[DH_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_PERFORM_HISTORY] PRIMARY KEY CLUSTERED 
(
	[DH_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_SALARY_HISTORY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_SALARY_HISTORY](
	[DS_ID] [int] IDENTITY(1,1) NOT NULL,
	[DS_COMPNO] [varchar](3) NULL,
	[DS_EMPNBR] [int] NULL,
	[DS_SDATE] [datetime] NULL,
	[DS_JOB] [varchar](25) NULL,
	[DS_EDATE] [datetime] NULL,
	[DS_DOC] [image] NULL,
	[DS_FILEEXT] [varchar](10) NULL,
	[DS_TYPE] [varchar](20) NULL,
	[DS_LDATE] [datetime] NULL,
	[DS_LTIME] [varchar](8) NULL,
	[DS_LUSER] [varchar](25) NULL,
	[DS_DOCKEY] [int] NULL,
	[DS_DOCTYPE_TABL] [varchar](4) NULL,
	[DS_DOCTYPE] [varchar](4) NULL,
	[DS_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_SALARY_HISTORY] PRIMARY KEY CLUSTERED 
(
	[DS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HRDOC_TRADE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[HRDOC_TRADE](
	[TD_ID] [int] IDENTITY(1,1) NOT NULL,
	[TD_COMPNO] [varchar](3) NULL,
	[TD_EMPNBR] [int] NULL,
	[TD_CODE] [varchar](4) NULL,
	[TD_BEGINDT] [datetime] NULL,
	[TD_DOC] [image] NULL,
	[TD_FILEEXT] [varchar](10) NULL,
	[TD_TYPE] [varchar](20) NULL,
	[TD_LDATE] [datetime] NULL,
	[TD_LTIME] [varchar](8) NULL,
	[TD_LUSER] [varchar](25) NULL,
	[TD_DOCKEY] [int] NULL,
	[TD_DOCTYPE_TABL] [varchar](4) NULL,
	[TD_DOCTYPE] [varchar](4) NULL,
	[TD_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_HRDOC_TRADE] PRIMARY KEY CLUSTERED 
(
	[TD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_ATTENDANCE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_ATTENDANCE](
	[AD_ID] [int] IDENTITY(1,1) NOT NULL,
	[AD_COMPNO] [varchar](3) NULL,
	[AD_EMPNBR] [int] NULL,
	[AD_REASON] [varchar](10) NULL,
	[AD_DOA] [datetime] NULL,
	[AD_DOC] [image] NULL,
	[AD_FILEEXT] [varchar](10) NULL,
	[AD_TYPE] [varchar](20) NULL,
	[AD_LDATE] [datetime] NULL,
	[AD_LTIME] [varchar](8) NULL,
	[AD_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[AD_DOCKEY] [int] NULL,
	[AD_DOCTYPE_TABL] [varchar](4) NULL,
	[AD_DOCTYPE] [varchar](4) NULL,
	[AD_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_ATTENDANCE] PRIMARY KEY CLUSTERED 
(
	[AD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL](
	[SD_ID] [int] IDENTITY(1,1) NOT NULL,
	[SD_COMPNO] [varchar](3) NULL,
	[SD_EMPNBR] [int] NULL,
	[SD_INCD_NO] [int] NOT NULL,
	[SD_VIOL_START_DATE] [datetime] NULL,
	[SD_VIOL_END_DATE] [datetime] NULL,
	[SD_DOC] [image] NULL,
	[SD_FILEEXT] [varchar](10) NULL,
	[SD_TYPE] [varchar](20) NULL,
	[SD_LDATE] [datetime] NULL,
	[SD_LTIME] [varchar](8) NULL,
	[SD_LUSER] [varchar](25) NULL,
	[SD_DOCKEY] [int] NULL,
	[SD_DOCTYPE_TABL] [varchar](4) NULL,
	[SD_DOCTYPE] [varchar](4) NULL,
	[SD_USRDESC] [varchar](30) NULL,
	[TERM_SEQ] [int] NULL,
 CONSTRAINT [PK_Term_HRDOC_ATTENDANCE_SUPPORT_DTL] PRIMARY KEY CLUSTERED 
(
	[SD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_COMMENTS]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_COMMENTS](
	[DO_ID] [int] IDENTITY(1,1) NOT NULL,
	[DO_COMPNO] [varchar](3) NULL,
	[DO_EMPNBR] [int] NULL,
	[DO_COTYPE] [varchar](6) NULL,
	[DO_EDATE] [datetime] NULL,
	[DO_DOC] [image] NULL,
	[DO_FILEEXT] [varchar](10) NULL,
	[DO_TYPE] [varchar](20) NULL,
	[DO_LDATE] [datetime] NULL,
	[DO_LTIME] [varchar](8) NULL,
	[DO_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[DO_DOCKEY] [int] NULL,
	[DO_DOCTYPE_TABL] [varchar](4) NULL,
	[DO_DOCTYPE] [varchar](4) NULL,
	[DO_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_COMMENTS] PRIMARY KEY CLUSTERED 
(
	[DO_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_COUNSEL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_COUNSEL](
	[DC_ID] [int] IDENTITY(1,1) NOT NULL,
	[DC_COMPNO] [varchar](3) NULL,
	[DC_EMPNBR] [int] NULL,
	[DC_CLTYPE] [varchar](4) NULL,
	[DC_COUDATE] [datetime] NULL,
	[DC_DOC] [image] NULL,
	[DC_FILEEXT] [varchar](10) NULL,
	[DC_TYPE] [varchar](20) NULL,
	[DC_LDATE] [datetime] NULL,
	[DC_LTIME] [varchar](8) NULL,
	[DC_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[DC_DOCKEY] [int] NULL,
	[DC_DOCTYPE_TABL] [varchar](4) NULL,
	[DC_DOCTYPE] [varchar](4) NULL,
	[DC_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_COUNSEL] PRIMARY KEY CLUSTERED 
(
	[DC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_DOLENT]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_DOLENT](
	[DE_ID] [int] IDENTITY(1,1) NOT NULL,
	[DE_COMPNO] [varchar](3) NULL,
	[DE_EMPNBR] [int] NULL,
	[DE_DOC] [image] NULL,
	[DE_FILEEXT] [varchar](10) NULL,
	[DE_TYPE] [varchar](20) NULL,
	[DE_LDATE] [datetime] NULL,
	[DE_LTIME] [varchar](8) NULL,
	[DE_LUSER] [varchar](25) NULL,
	[DE_DOCKEY] [int] NULL,
	[TERM_SEQ] [int] NULL,
	[DE_DOCTYPE_TABL] [varchar](4) NULL,
	[DE_DOCTYPE] [varchar](4) NULL,
	[DE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_DOLENT] PRIMARY KEY CLUSTERED 
(
	[DE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EDSEM]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_EDSEM](
	[ES_ID] [int] IDENTITY(1,1) NOT NULL,
	[ES_COMPNO] [varchar](3) NULL,
	[ES_EMPNBR] [int] NULL,
	[ES_DOC] [image] NULL,
	[ES_FILEEXT] [varchar](10) NULL,
	[ES_TYPE] [varchar](20) NULL,
	[ES_LDATE] [datetime] NULL,
	[ES_LTIME] [varchar](8) NULL,
	[ES_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[ES_DOCKEY] [int] NULL,
	[ES_DOCTYPE_TABL] [varchar](4) NULL,
	[ES_DOCTYPE] [varchar](4) NULL,
	[ES_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_EDSEM] PRIMARY KEY CLUSTERED 
(
	[ES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EDSEM_RETEST]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_EDSEM_RETEST](
	[ES_ID] [int] IDENTITY(1,1) NOT NULL,
	[ES_COMPNO] [varchar](3) NULL,
	[ES_EMPNBR] [int] NULL,
	[ES_DOC] [image] NULL,
	[ES_FILEEXT] [varchar](10) NULL,
	[ES_TYPE] [varchar](20) NULL,
	[ES_LDATE] [datetime] NULL,
	[ES_LTIME] [varchar](8) NULL,
	[ES_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[ES_DOCKEY] [int] NULL,
	[ES_DOCTYPE_TABL] [varchar](4) NULL,
	[ES_DOCTYPE] [varchar](4) NULL,
	[ES_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_EDSEM_RETEST] PRIMARY KEY CLUSTERED 
(
	[ES_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EMP]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_EMP](
	[RE_ID] [int] IDENTITY(1,1) NOT NULL,
	[RE_COMPNO] [varchar](3) NULL,
	[RE_EMPNBR] [int] NULL,
	[RE_DOC] [image] NULL,
	[RE_FILEEXT] [varchar](10) NULL,
	[RE_TYPE] [varchar](20) NULL,
	[RE_LDATE] [datetime] NULL,
	[RE_LTIME] [varchar](8) NULL,
	[RE_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[RE_DOCTYPE_TABL] [varchar](4) NULL,
	[RE_DOCTYPE] [varchar](4) NULL,
	[RE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_EMP] PRIMARY KEY CLUSTERED 
(
	[RE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EMP_FLAGS]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_EMP_FLAGS](
	[EF_ID] [int] IDENTITY(1,1) NOT NULL,
	[EF_COMPNO] [varchar](3) NULL,
	[EF_EMPNBR] [int] NULL,
	[EF_FLAG] [int] NULL,
	[EF_FLAGDTE] [datetime] NULL,
	[EF_DOC] [image] NULL,
	[EF_FILEEXT] [varchar](10) NULL,
	[EF_TYPE] [varchar](20) NULL,
	[EF_LDATE] [datetime] NULL,
	[EF_LTIME] [varchar](8) NULL,
	[EF_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[EF_DOCKEY] [int] NULL,
	[EF_DOCTYPE_TABL] [varchar](4) NULL,
	[EF_DOCTYPE] [varchar](4) NULL,
	[EF_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_EMPFLAGS] PRIMARY KEY CLUSTERED 
(
	[EF_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_EQUIPMENT]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_EQUIPMENT](
	[EA_ID] [int] IDENTITY(1,1) NOT NULL,
	[EA_COMPNO] [varchar](3) NULL,
	[EA_EMPNBR] [int] NULL,
	[EA_JOB] [varchar](25) NULL,
	[EA_ASSET_CODE] [varchar](15) NULL,
	[EA_ASSIGN_DATE] [datetime] NULL,
	[EA_DOC] [image] NULL,
	[EA_FILEEXT] [varchar](10) NULL,
	[EA_TYPE] [varchar](20) NULL,
	[EA_LDATE] [datetime] NULL,
	[EA_LTIME] [varchar](8) NULL,
	[EA_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[EA_DOCKEY] [int] NULL,
	[EA_DOCTYPE_TABL] [varchar](4) NULL,
	[EA_DOCTYPE] [varchar](4) NULL,
	[EA_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_EQUIPMENT] PRIMARY KEY CLUSTERED 
(
	[EA_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HEALTH_SAFETY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY](
	[DE_ID] [int] IDENTITY(1,1) NOT NULL,
	[DE_COMPNO] [varchar](3) NULL,
	[DE_EMPNBR] [int] NULL,
	[DE_CASE] [int] NULL,
	[DE_OCCDATE] [datetime] NULL,
	[DE_DOCNO] [int] NULL,
	[DE_DOCDESC] [varchar](30) NULL,
	[DE_DOC] [varchar](1) NULL,
	[DE_FILEEXT] [varchar](10) NULL,
	[DE_TYPE] [varchar](20) NULL,
	[DE_LDATE] [datetime] NULL,
	[DE_LTIME] [varchar](8) NULL,
	[DE_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[DE_DOCTYPE_TABL] [varchar](4) NULL,
	[DE_DOCTYPE] [varchar](4) NULL,
	[DE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_OCC_HEALTH_SAFETY] PRIMARY KEY CLUSTERED 
(
	[DE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HEALTH_SAFETY_2]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_2](
	[DE_ID] [int] IDENTITY(1,1) NOT NULL,
	[DE_EMPNBR] [int] NULL,
	[DE_CASE] [int] NULL,
	[DE_DOCNO] [int] NULL,
	[DE_DOC] [image] NULL,
	[DE_FILEEXT] [varchar](10) NULL,
	[DE_TYPE] [varchar](20) NULL,
	[DE_LDATE] [datetime] NULL,
	[DE_LTIME] [varchar](8) NULL,
	[DE_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[DE_DOCTYPE_TABL] [varchar](4) NULL,
	[DE_DOCTYPE] [varchar](4) NULL,
	[DE_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_HEALTH_SAFETY_2] PRIMARY KEY CLUSTERED 
(
	[DE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7](
	[W7_ID] [int] IDENTITY(1,1) NOT NULL,
	[W7_COMPNO] [varchar](3) NULL,
	[W7_EMPNBR] [int] NULL,
	[W7_CASE] [int] NULL,
	[W7_OCCDATE] [datetime] NULL,
	[W7_DOCKEY] [int] NULL,
	[W7_DOCDESC] [varchar](30) NULL,
	[W7_DOC] [image] NULL,
	[W7_FILEEXT] [varchar](10) NULL,
	[W7_TYPE] [varchar](20) NULL,
	[W7_LDATE] [datetime] NULL,
	[W7_LTIME] [varchar](8) NULL,
	[W7_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[W7_DOCTYPE_TABL] [varchar](4) NULL,
	[W7_DOCTYPE] [varchar](4) NULL,
	[W7_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_HEALTH_SAFETY_FORM7] PRIMARY KEY CLUSTERED 
(
	[W7_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HRDOLENTACTDTL]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_HRDOLENTACTDTL](
	[DA_ID] [int] IDENTITY(1,1) NOT NULL,
	[DA_COMPNO] [varchar](3) NULL,
	[DA_EMPNBR] [int] NULL,
	[DA_DOC] [image] NULL,
	[DA_FILEEXT] [varchar](10) NULL,
	[DA_TYPE] [varchar](20) NULL,
	[DA_LDATE] [datetime] NULL,
	[DA_LTIME] [varchar](8) NULL,
	[DA_LUSER] [varchar](25) NULL,
	[DA_DOCKEY] [int] NULL,
	[TERM_SEQ] [int] NULL,
	[DA_DOCTYPE_TABL] [varchar](4) NULL,
	[DA_DOCTYPE] [varchar](4) NULL,
	[DA_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_HRDOLENTACTDTL] PRIMARY KEY CLUSTERED 
(
	[DA_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HREDU]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_HREDU](
	[EU_ID] [int] IDENTITY(1,1) NOT NULL,
	[EU_COMPNO] [varchar](3) NULL,
	[EU_EMPNBR] [int] NULL,
	[EU_DOC] [image] NULL,
	[EU_FILEEXT] [varchar](10) NULL,
	[EU_TYPE] [varchar](20) NULL,
	[EU_LDATE] [datetime] NULL,
	[EU_LTIME] [varchar](8) NULL,
	[EU_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[EU_DOCKEY] [int] NULL,
	[EU_DOCTYPE_TABL] [varchar](4) NULL,
	[EU_DOCTYPE] [varchar](4) NULL,
	[EU_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_HREDU] PRIMARY KEY CLUSTERED 
(
	[EU_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_HREMP_OTHER]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_HREMP_OTHER](
	[ER_ID] [int] IDENTITY(1,1) NOT NULL,
	[ER_COMPNO] [varchar](3) NULL,
	[ER_EMPNBR] [int] NULL,
	[ER_DOC] [image] NULL,
	[ER_FILEEXT] [varchar](10) NULL,
	[ER_TYPE] [varchar](20) NULL,
	[ER_LDATE] [datetime] NULL,
	[ER_LTIME] [varchar](8) NULL,
	[ER_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[ER_DOCTYPE_TABL] [varchar](4) NULL,
	[ER_DOCTYPE] [varchar](4) NULL,
	[ER_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_HREMP_OTHER] PRIMARY KEY CLUSTERED 
(
	[ER_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_JOB_HISTORY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_JOB_HISTORY](
	[DJ_ID] [int] IDENTITY(1,1) NOT NULL,
	[DJ_COMPNO] [varchar](3) NULL,
	[DJ_EMPNBR] [int] NULL,
	[DJ_SDATE] [datetime] NULL,
	[DJ_JOB] [varchar](25) NULL,
	[DJ_DOC] [image] NULL,
	[DJ_FILEEXT] [varchar](10) NULL,
	[DJ_TYPE] [varchar](20) NULL,
	[DJ_LDATE] [datetime] NULL,
	[DJ_LTIME] [varchar](8) NULL,
	[DJ_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[DJ_DOCTYPE_TABL] [varchar](4) NULL,
	[DJ_DOCTYPE] [varchar](4) NULL,
	[DJ_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_JOB_HISTORY] PRIMARY KEY CLUSTERED 
(
	[DJ_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_OHS_WRITTEN_OFFER]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_OHS_WRITTEN_OFFER](
	[F7_ID] [int] IDENTITY(1,1) NOT NULL,
	[F7_COMPNO] [varchar](3) NULL,
	[F7_EMPNBR] [int] NULL,
	[F7_CASE] [int] NULL,
	[F7_OCCDATE] [datetime] NULL,
	[F7_DOCKEY] [int] NULL,
	[F7_DOCDESC] [varchar](30) NULL,
	[F7_DOC] [image] NULL,
	[F7_FILEEXT] [varchar](10) NULL,
	[F7_TYPE] [varchar](20) NULL,
	[F7_LDATE] [datetime] NULL,
	[F7_LTIME] [varchar](8) NULL,
	[F7_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[F7_DOCTYPE_TABL] [varchar](4) NULL,
	[F7_DOCTYPE] [varchar](4) NULL,
	[F7_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_TERM_HRDOC_OHS_RTN_WORK_DECLINE] PRIMARY KEY CLUSTERED 
(
	[F7_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_PERFORM_HISTORY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_PERFORM_HISTORY](
	[DH_ID] [int] IDENTITY(1,1) NOT NULL,
	[DH_COMPNO] [varchar](3) NULL,
	[DH_EMPNBR] [int] NULL,
	[DH_JOB] [varchar](25) NULL,
	[DH_PREVDATE] [datetime] NULL,
	[DH_DOC] [image] NULL,
	[DH_FILEEXT] [varchar](10) NULL,
	[DH_TYPE] [varchar](20) NULL,
	[DH_LDATE] [datetime] NULL,
	[DH_LTIME] [varchar](8) NULL,
	[DH_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[DH_DOCKEY] [int] NULL,
	[DH_DOCTYPE_TABL] [varchar](4) NULL,
	[DH_DOCTYPE] [varchar](4) NULL,
	[DH_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_PERFORM_HISTORY] PRIMARY KEY CLUSTERED 
(
	[DH_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_SALARY_HISTORY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_SALARY_HISTORY](
	[DS_ID] [int] IDENTITY(1,1) NOT NULL,
	[DS_COMPNO] [varchar](3) NULL,
	[DS_EMPNBR] [int] NULL,
	[DS_SDATE] [datetime] NULL,
	[DS_JOB] [varchar](25) NULL,
	[DS_EDATE] [datetime] NULL,
	[DS_DOC] [image] NULL,
	[DS_FILEEXT] [varchar](10) NULL,
	[DS_TYPE] [varchar](20) NULL,
	[DS_LDATE] [datetime] NULL,
	[DS_LTIME] [varchar](8) NULL,
	[DS_LUSER] [varchar](25) NULL,
	[DS_DOCKEY] [int] NULL,
	[TERM_SEQ] [int] NULL,
	[DS_DOCTYPE_TABL] [varchar](4) NULL,
	[DS_DOCTYPE] [varchar](4) NULL,
	[DS_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_SALARY_HISTORY] PRIMARY KEY CLUSTERED 
(
	[DS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Term_HRDOC_TRADE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Term_HRDOC_TRADE](
	[TD_ID] [int] IDENTITY(1,1) NOT NULL,
	[TD_COMPNO] [varchar](3) NULL,
	[TD_EMPNBR] [int] NULL,
	[TD_CODE] [varchar](4) NULL,
	[TD_BEGINDT] [datetime] NULL,
	[TD_DOC] [image] NULL,
	[TD_FILEEXT] [varchar](10) NULL,
	[TD_TYPE] [varchar](20) NULL,
	[TD_LDATE] [datetime] NULL,
	[TD_LTIME] [varchar](8) NULL,
	[TD_LUSER] [varchar](25) NULL,
	[TERM_SEQ] [int] NULL,
	[TD_DOCKEY] [int] NULL,
	[TD_DOCTYPE_TABL] [varchar](4) NULL,
	[TD_DOCTYPE] [varchar](4) NULL,
	[TD_USRDESC] [varchar](30) NULL,
 CONSTRAINT [PK_Term_HRDOC_TRADE] PRIMARY KEY CLUSTERED 
(
	[TD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_ATTENDANCE_AD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE] ADD  CONSTRAINT [DF_HRDOC_ATTENDANCE_AD_COMPNO]  DEFAULT ('001') FOR [AD_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE] ADD  CONSTRAINT [DF_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [AD_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_SD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL] ADD  CONSTRAINT [DF_Table_1_SD_COMPNO]  DEFAULT ('001') FOR [SD_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_SD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_ATTENDANCE_SUPPORT_DTL] ADD  CONSTRAINT [DF_Table_1_SD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [SD_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COMMENTS_DO_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COMMENTS] ADD  CONSTRAINT [DF_HRDOC_COMMENTS_DO_COMPNO]  DEFAULT ('001') FOR [DO_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COMMENTS_DO_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COMMENTS] ADD  CONSTRAINT [DF_HRDOC_COMMENTS_DO_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DO_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COUNSEL_DC_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COUNSEL] ADD  CONSTRAINT [DF_HRDOC_COUNSEL_DC_COMPNO]  DEFAULT ('001') FOR [DC_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_COUNSEL_DC_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_COUNSEL] ADD  CONSTRAINT [DF_HRDOC_COUNSEL_DC_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DC_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM] ADD  CONSTRAINT [DF_HRDOC_EDSEM_ES_COMPNO]  DEFAULT ('001') FOR [ES_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM] ADD  CONSTRAINT [DF_HRDOC_EDSEM_ES_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ES_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_RETEST_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_RETEST] ADD  CONSTRAINT [DF_HRDOC_EDSEM_RETEST_ES_COMPNO]  DEFAULT ('001') FOR [ES_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_RETEST] ADD  CONSTRAINT [DF_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ES_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_SUBMIT_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_SUBMIT] ADD  CONSTRAINT [DF_HRDOC_EDSEM_SUBMIT_ES_COMPNO]  DEFAULT ('001') FOR [ES_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EDSEM_SUBMIT_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EDSEM_SUBMIT] ADD  CONSTRAINT [DF_HRDOC_EDSEM_SUBMIT_ES_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ES_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMP_RE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP] ADD  CONSTRAINT [DF_HRDOC_EMP_RE_COMPNO]  DEFAULT ('001') FOR [RE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMP_RE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP] ADD  CONSTRAINT [DF_HRDOC_EMP_RE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [RE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMPFLAGS_EF_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP_FLAGS] ADD  CONSTRAINT [DF_HRDOC_EMPFLAGS_EF_COMPNO]  DEFAULT ('001') FOR [EF_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EMP_FLAGS] ADD  CONSTRAINT [DF_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EF_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_EA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EQUIPMENT] ADD  CONSTRAINT [DF_Table_1_EA_COMPNO]  DEFAULT ('001') FOR [EA_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_EA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_EQUIPMENT] ADD  CONSTRAINT [DF_Table_1_EA_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EA_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY] ADD  CONSTRAINT [DF_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]  DEFAULT ('001') FOR [DE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY] ADD  CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY_2] ADD  CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7] ADD  CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]  DEFAULT ('001') FOR [W7_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HEALTH_SAFETY_CONCERNSWF7] ADD  CONSTRAINT [DF_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [W7_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EDSEM_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EDSEM] ADD  CONSTRAINT [DF_HRDOC_HRA_EDSEM_ES_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ES_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EDU_EU_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EDU] ADD  CONSTRAINT [DF_HRDOC_HRA_EDU_EU_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EU_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EMP_RE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EMP] ADD  CONSTRAINT [DF_HRDOC_HRA_EMP_RE_COMPNO]  DEFAULT ('001') FOR [RE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_EMP_RE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_EMP] ADD  CONSTRAINT [DF_HRDOC_HRA_EMP_RE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [RE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_INTERVIEW_IE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_INTERVIEW] ADD  CONSTRAINT [DF_HRDOC_HRA_INTERVIEW_IE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [IE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_REFRENCES_ED_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_REFRENCES] ADD  CONSTRAINT [DF_HRDOC_HRA_REFRENCES_ED_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ED_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRA_TRADE_TD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRA_TRADE] ADD  CONSTRAINT [DF_HRDOC_HRA_TRADE_TD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [TD_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENT_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENT] ADD  CONSTRAINT [DF_HRDOC_HRDOLENT_DE_COMPNO]  DEFAULT ('001') FOR [DE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENT_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENT] ADD  CONSTRAINT [DF_HRDOC_HRDOLENT_DE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENTACTDTL_DA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENTACTDTL] ADD  CONSTRAINT [DF_HRDOC_HRDOLENTACTDTL_DA_COMPNO]  DEFAULT ('001') FOR [DA_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRDOLENTACTDTL] ADD  CONSTRAINT [DF_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DA_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREDU_EU_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREDU] ADD  CONSTRAINT [DF_HRDOC_HREDU_EU_COMPNO]  DEFAULT ('001') FOR [EU_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREDU_EU_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREDU] ADD  CONSTRAINT [DF_HRDOC_HREDU_EU_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EU_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREMP_OTHER_ER_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREMP_OTHER] ADD  CONSTRAINT [DF_HRDOC_HREMP_OTHER_ER_COMPNO]  DEFAULT ('001') FOR [ER_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HREMP_OTHER] ADD  CONSTRAINT [DF_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ER_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRSTATUS_SC_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRSTATUS] ADD  CONSTRAINT [DF_HRDOC_HRSTATUS_SC_COMPNO]  DEFAULT ('001') FOR [SC_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_HRSTATUS_SC_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_HRSTATUS] ADD  CONSTRAINT [DF_HRDOC_HRSTATUS_SC_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [SC_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_DB_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB] ADD  CONSTRAINT [DF_HRDOC_JOB_DB_COMPNO]  DEFAULT ('001') FOR [DB_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_DB_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB] ADD  CONSTRAINT [DF_HRDOC_JOB_DB_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DB_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_HISTORY_DJ_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB_HISTORY] ADD  CONSTRAINT [DF_HRDOC_JOB_HISTORY_DJ_COMPNO]  DEFAULT ('001') FOR [DJ_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOB_HISTORY] ADD  CONSTRAINT [DF_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DJ_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOBSKL_DS_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOBSKL] ADD  CONSTRAINT [DF_HRDOC_JOBSKL_DS_COMPNO]  DEFAULT ('001') FOR [DS_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_JOBSKL_DS_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_JOBSKL] ADD  CONSTRAINT [DF_HRDOC_JOBSKL_DS_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DS_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_OHS_WRITTEN_OFFER] ADD  CONSTRAINT [DF_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]  DEFAULT ('001') FOR [F7_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_OHS_WRITTEN_OFFER] ADD  CONSTRAINT [DF_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [F7_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_PERFORM_HISTORY_DH_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_PERFORM_HISTORY] ADD  CONSTRAINT [DF_HRDOC_PERFORM_HISTORY_DH_COMPNO]  DEFAULT ('001') FOR [DH_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_PERFORM_HISTORY] ADD  CONSTRAINT [DF_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DH_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_DS_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_SALARY_HISTORY] ADD  CONSTRAINT [DF_Table_1_DS_COMPNO]  DEFAULT ('001') FOR [DS_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Table_1_DS_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_SALARY_HISTORY] ADD  CONSTRAINT [DF_Table_1_DS_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DS_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_TRADE_TD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_TRADE] ADD  CONSTRAINT [DF_HRDOC_TRADE_TD_COMPNO]  DEFAULT ('001') FOR [TD_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_HRDOC_TRADE_TD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[HRDOC_TRADE] ADD  CONSTRAINT [DF_HRDOC_TRADE_TD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [TD_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_AD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE] ADD  CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_AD_COMPNO]  DEFAULT ('001') FOR [AD_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE] ADD  CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_AD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [AD_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL] ADD  CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_COMPNO]  DEFAULT ('001') FOR [SD_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_ATTENDANCE_SUPPORT_DTL] ADD  CONSTRAINT [DF_Term_HRDOC_ATTENDANCE_SUPPORT_DTL_SD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [SD_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COMMENTS_DO_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COMMENTS] ADD  CONSTRAINT [DF_Term_HRDOC_COMMENTS_DO_COMPNO]  DEFAULT ('001') FOR [DO_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COMMENTS_DO_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COMMENTS] ADD  CONSTRAINT [DF_Term_HRDOC_COMMENTS_DO_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DO_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COUNSEL_DC_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COUNSEL] ADD  CONSTRAINT [DF_Term_HRDOC_COUNSEL_DC_COMPNO]  DEFAULT ('001') FOR [DC_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_COUNSEL_DC_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_COUNSEL] ADD  CONSTRAINT [DF_Term_HRDOC_COUNSEL_DC_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DC_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_DOLENT_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_DOLENT] ADD  CONSTRAINT [DF_Term_HRDOC_DOLENT_DE_COMPNO]  DEFAULT ('001') FOR [DE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_DOLENT_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_DOLENT] ADD  CONSTRAINT [DF_Term_HRDOC_DOLENT_DE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM] ADD  CONSTRAINT [DF_Term_HRDOC_EDSEM_ES_COMPNO]  DEFAULT ('001') FOR [ES_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM] ADD  CONSTRAINT [DF_Term_HRDOC_EDSEM_ES_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ES_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_RETEST_ES_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM_RETEST] ADD  CONSTRAINT [DF_Term_HRDOC_EDSEM_RETEST_ES_COMPNO]  DEFAULT ('001') FOR [ES_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EDSEM_RETEST] ADD  CONSTRAINT [DF_Term_HRDOC_EDSEM_RETEST_ES_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ES_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMP_RE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP] ADD  CONSTRAINT [DF_Term_HRDOC_EMP_RE_COMPNO]  DEFAULT ('001') FOR [RE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMP_RE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP] ADD  CONSTRAINT [DF_Term_HRDOC_EMP_RE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [RE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMPFLAGS_EF_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP_FLAGS] ADD  CONSTRAINT [DF_Term_HRDOC_EMPFLAGS_EF_COMPNO]  DEFAULT ('001') FOR [EF_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EMP_FLAGS] ADD  CONSTRAINT [DF_Term_HRDOC_EMP_FLAGS_EF_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EF_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EQUIPMENT_EA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EQUIPMENT] ADD  CONSTRAINT [DF_Term_HRDOC_EQUIPMENT_EA_COMPNO]  DEFAULT ('001') FOR [EA_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_EQUIPMENT_EA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_EQUIPMENT] ADD  CONSTRAINT [DF_Term_HRDOC_EQUIPMENT_EA_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EA_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY] ADD  CONSTRAINT [DF_Term_HRDOC_OCC_HEALTH_SAFETY_DE_COMPNO]  DEFAULT ('001') FOR [DE_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY] ADD  CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_DE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_2] ADD  CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_2_DE_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DE_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7] ADD  CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_FORM7_W7_COMPNO]  DEFAULT ('001') FOR [W7_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7] ADD  CONSTRAINT [DF_Term_HRDOC_HEALTH_SAFETY_CONCERNSWF7_W7_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [W7_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HRDOLENTACTDTL_DA_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HRDOLENTACTDTL] ADD  CONSTRAINT [DF_Term_HRDOC_HRDOLENTACTDTL_DA_COMPNO]  DEFAULT ('001') FOR [DA_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HRDOLENTACTDTL] ADD  CONSTRAINT [DF_Term_HRDOC_HRDOLENTACTDTL_DA_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DA_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREDU_EU_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREDU] ADD  CONSTRAINT [DF_Term_HRDOC_HREDU_EU_COMPNO]  DEFAULT ('001') FOR [EU_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREDU_EU_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREDU] ADD  CONSTRAINT [DF_Term_HRDOC_HREDU_EU_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [EU_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREMP_OTHER_ER_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREMP_OTHER] ADD  CONSTRAINT [DF_Term_HRDOC_HREMP_OTHER_ER_COMPNO]  DEFAULT ('001') FOR [ER_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_HREMP_OTHER] ADD  CONSTRAINT [DF_Term_HRDOC_HREMP_OTHER_ER_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [ER_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_JOB_HISTORY_DJ_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_JOB_HISTORY] ADD  CONSTRAINT [DF_Term_HRDOC_JOB_HISTORY_DJ_COMPNO]  DEFAULT ('001') FOR [DJ_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_JOB_HISTORY] ADD  CONSTRAINT [DF_Term_HRDOC_JOB_HISTORY_DJ_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DJ_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_TERM_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_OHS_WRITTEN_OFFER] ADD  CONSTRAINT [DF_TERM_HRDOC_OHS_RTN_WORK_DECLINE_D7_COMPNO]  DEFAULT ('001') FOR [F7_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_OHS_WRITTEN_OFFER] ADD  CONSTRAINT [DF_Term_HRDOC_OHS_WRITTEN_OFFER_F7_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [F7_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_PERFORM_HISTORY_DH_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_PERFORM_HISTORY] ADD  CONSTRAINT [DF_Term_HRDOC_PERFORM_HISTORY_DH_COMPNO]  DEFAULT ('001') FOR [DH_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_PERFORM_HISTORY] ADD  CONSTRAINT [DF_Term_HRDOC_PERFORM_HISTORY_DH_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DH_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_SALARY_HISTORY_DS_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_SALARY_HISTORY] ADD  CONSTRAINT [DF_Term_HRDOC_SALARY_HISTORY_DS_COMPNO]  DEFAULT ('001') FOR [DS_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_SALARY_HISTORY_DS_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_SALARY_HISTORY] ADD  CONSTRAINT [DF_Term_HRDOC_SALARY_HISTORY_DS_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [DS_DOCTYPE_TABL]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_TRADE_TD_COMPNO]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_TRADE] ADD  CONSTRAINT [DF_Term_HRDOC_TRADE_TD_COMPNO]  DEFAULT ('001') FOR [TD_COMPNO]
END

GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DF_Term_HRDOC_TRADE_TD_DOCTYPE_TABL]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Term_HRDOC_TRADE] ADD  CONSTRAINT [DF_Term_HRDOC_TRADE_TD_DOCTYPE_TABL]  DEFAULT ('DOCT') FOR [TD_DOCTYPE_TABL]
END

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[UploadResume]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'CREATE PROCEDURE [dbo].[UploadResume] AS' 
END
GO
ALTER PROCEDURE [dbo].[UploadResume]
(
       @AppNbr  int,
       @EmpNbr varchar(10),
    @FILEExt VARCHAR(5),
    @FILESOURCE image,
       @DocType int = 0
)
AS
SET NOCOUNT ON
declare @ID int;
If (len(@EmpNbr) > 0) 
begin
       set @ID = cast(@EmpNbr as int)
End
Else
begin
       set @ID = @AppNbr 
       set @EmpNbr = null
End

declare @defaultDocType varchar(6) = null
declare @defaultUserDesc varchar(25) = null
declare @type varchar(25) = null
       
if @DocType = 0
begin
SET @defaultDocType = 'RES'
SET @defaultUserDesc = 'Web app - RES'
set @type='RESUME'
end

if @DocType = 1
begin
SET @defaultDocType = 'CR'
SET @defaultUserDesc = 'Web app - CR'
set @type='COVER LETTER'
end

if @DocType = 2
begin
SET @defaultDocType = 'DOC1'
SET @defaultUserDesc = 'Web app - DOC1'
set @type='DOCUMENT 1'
end

if @DocType = 3
begin
SET @defaultDocType = 'DOC2'
SET @defaultUserDesc = 'Web app - DOC2'
set @type='DOCUMENT 2'
end

       
if exists(Select * from HRDOC_HRA_EMP 
               where RE_EMPNBR = @EmpNbr and RE_APPNBR = @AppNbr and RE_FILEEXT = @FILEExt and convert(varbinary,RE_DOC)=convert(varbinary,@FILESOURCE))
       Update HRDOC_HRA_EMP set RE_APPNBR = @Appnbr, RE_EMPNBR=@Empnbr, RE_FILEEXT=@FILEExt, RE_LDATE=GETDATE(), 
       RE_LTIME=CONVERT(VARCHAR(8),GETDATE(),108),RE_LUSER=@ID, RE_DOC=@FILESOURCE, RE_DOCTYPE = @defaultDocType, RE_USRDESC = @defaultUserDesc
       where  RE_EMPNBR = @EmpNbr and RE_APPNBR = @AppNbr and RE_FILEEXT = @FILEExt and convert(varbinary,RE_DOC)=convert(varbinary,@FILESOURCE)
              
else
       INSERT INTO HRDOC_HRA_EMP(RE_COMPNO,RE_APPNBR,RE_EMPNBR,RE_FILEEXT,RE_TYPE,RE_LDATE,RE_LTIME,RE_LUSER,RE_DOC,RE_DOCTYPE,RE_USRDESC)
       VALUES('001',@AppNbr, @EmpNbr, @FILEExt,@type,GETDATE(),CONVERT(VARCHAR(8),GETDATE(),108),@ID, @FILESOURCE, @defaultDocType,@defaultUserDesc)

return @@RowCount

GO

------------ Transfer_data.sql -------------------
DECLARE @tblName varchar(40),@colName varchar(50)
DECLARE @xtable varchar(40)
DECLARE @field_list varchar(4000)
DECLARE @S_field_list varchar(4000)

DECLARE tab_rec CURSOR FOR

SELECT new.table_name,new.column_name FROM
(SELECT t.name AS table_name,c.name AS column_name FROM sysobjects t INNER JOIN  syscolumns c ON t.id=c.id WHERE t.xtype='U' and left(t.name,4)<>'Old_') new
INNER JOIN 
(SELECT SUBSTRING(t.name,5,40) AS table_name,c.name AS column_name FROM sysobjects t INNER JOIN  syscolumns c ON t.id=c.id WHERE t.xtype='U' and left(t.name,4)='Old_') old
ON new.table_name=old.table_name
AND new.column_name=old.column_name 
ORDER BY new.table_name,new.column_name


DECLARE old_tab_rec CURSOR FOR
SELECT [name] AS table_name FROM sysobjects WHERE xtype='U' and left([name],4)='Old_'
     
OPEN tab_rec 


SET @field_list=''
FETCH NEXT FROM tab_rec INTO @tblName,@colName
WHILE @@FETCH_STATUS = 0
BEGIN
	
	SET @xtable=@tblName
   	If (RIGHT(@colname,3) <>'_ID' And @colname<> 'ID') Or @xtable= 'HRNEWHIRE' Or RIGHT(@colname, 10) = 'PAYROLL_ID' Or RIGHT(@colname,6) = 'JOB_ID' 
	BEGIN
	       SET @field_list=@field_list+',['+rtrim(@colname)+']'+CHAR(10)
   	END
   	FETCH NEXT FROM tab_rec INTO @tblName,@colName
	
	IF @@FETCH_STATUS<>0 or rtrim(@tblname)<>@xtable 
	BEGIN
		

	   	IF CHARINDEX(@xtable +',','Employee_Turnover,
			HRATTBAT,
			HRATTWRK,
			HRATTWRK1,
			HRATTWRK2,
			HRSECWRK,
			HRCOEWRK,
			HREMPWRK,
			HRENTWRK,
			HRSENHRS,
			HRSENRPT,
			HRPOERPT,
			HRPOETMP,') =0
		BEGIN	
			PRINT @xtable 
			SET @field_list=SUBSTRING(@field_list,2,4000)
			SET @S_field_list=@field_list
			SET @S_field_list=REPLACE(@S_field_list,'[IE_COMM1]','CONVERT(varChar(4000),[IE_COMM1]) ')
			SET @S_field_list=REPLACE(@S_field_list,'[EF_COMMENTS]','CONVERT(varChar(4000),[EF_COMMENTS]) ')
			SET @S_field_list=REPLACE(@S_field_list,'[ER_COMMENTS]','CONVERT(varChar(4000),[ER_COMMENTS]) ')
   			EXEC ('insert into '+@xtable+'('+@field_list+') '+' select '+@S_field_list+' from Old_'+@xtable)
		        --PRINT 'insert into '+@xtable+'('+@field_list+') '+' select '+@S_field_list+' from Old_'+@xtable
		END

		EXEC ('DROP TABLE Old_'+@xtable)
		SET @field_list=''
	END
	
END
CLOSE tab_rec
DEALLOCATE tab_rec

OPEN old_tab_rec 
FETCH NEXT FROM old_tab_rec INTO @tblName
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @xtable=REPLACE(@tblName,'Old_','')
	EXEC ('sp_rename '''+ @tblName +''', '''+@xtable + '''')
	FETCH NEXT FROM old_tab_rec INTO @tblName
	
END
CLOSE old_tab_rec
DEALLOCATE old_tab_rec


--0_rename old objects (D and PK)
--=====================================================================================rename existing tables
DECLARE @ObjName varchar(128),@ObjType char(2),@ObjParent int
DECLARE @ObjParentName  varchar(128)
DECLARE @TempName varchar(128)
DECLARE Objects CURSOR FOR
SELECT name,xtype,parent_obj FROM sysobjects ORDER BY xtype DESC
OPEN Objects
FETCH NEXT FROM Objects INTO @ObjName,@ObjType,@ObjParent
WHILE @@FETCH_STATUS = 0
BEGIN
	IF (@ObjType='D' or @ObjType='PK') and left(@ObjName,4)='Old_'
	BEGIN	
		IF (SELECT name from sysobjects WHERE id=@ObjParent)<>'dtproperties' AND @ObjName like 'Old_%'
		BEGIN	
			--print 'sp_rename '''+ @ObjName +''', '''+substring(@ObjName,5,100) + ''''
			SET @TempName=substring(@ObjName,5,100)
	   		EXEC ('sp_rename '''+ @ObjName +''', '''+@TempName + '''')
		END	
	END

	FETCH NEXT FROM Objects INTO @ObjName,@ObjType,@ObjParent
END
CLOSE Objects
DEALLOCATE Objects

GO
